Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w
- x
- z
- ~

Here is a list of all class members with links to the classes they belong to:

### - r -

- read() : ByteArrayInputStream , FileInputStream , InputStream , InputStreamReader , Reader
- Reader() : Reader
- receive() : DatagramSocket
- recycle() : ThreadSpecificData
- ref : ObjectImpl
- refresh_stream_state() : logstream , logstream_base , ulogstream , wlogstream
- registerClass() : Class , Object
- registry : PropertyConfigurator
- registryGet() : PropertyConfigurator
- registryPut() : PropertyConfigurator
- RelativeTimeDateFormat() : RelativeTimeDateFormat
- RelativeTimePatternConverter() : RelativeTimePatternConverter
- release : Pool
- releaseRef() : AppenderSkeleton , AsyncAppender , AppenderAttachableImpl , Object , ObjectImpl , OnlyOnceErrorHandler , Hierarchy , Layout , Logger , PropertyConfigurator , RollingPolicyBase , TimeBasedRollingPolicy , TriggeringPolicy , DefaultRepositorySelector , Filter , FallbackErrorHandler , DOMConfigurator
- remaining() : ByteBuffer
- remove() : MDC , NDC
- removeAllAppenders() : AsyncAppender , AppenderAttachableImpl , Logger , AppenderAttachable
- removeAppender() : AsyncAppender , AppenderAttachableImpl , Logger , AppenderAttachable
- removeAppenderEvent() : HierarchyEventListener
- renameTo() : File
- reportException() : Action
- repository : Logger , DOMConfigurator
- requiresLayout() : Appender , AsyncAppender , ODBCAppender , SMTPAppender , SocketAppenderSkeleton , SocketHubAppender , SyslogAppender , TelnetAppender , NTEventLogAppender , OutputDebugStringAppender , WriterAppender
- reset() : CharsetEncoder
- resetConfiguration() : BasicConfigurator , Hierarchy , LogManager , LoggerRepository
- resize() : CyclicBuffer
- resourceBundle : Logger
- RollingFileAppender() : RollingFileAppender
- RollingFileAppenderSkeleton() : RollingFileAppenderSkeleton
- RollingPolicyBase() : RollingPolicyBase
- rollover() : FixedWindowRollingPolicy , RollingFileAppenderSkeleton , RollingPolicy , TimeBasedRollingPolicy
- RolloverDescription() : RolloverDescription
- RootLogger() : RootLogger
- run() : Thread , Action
- RuntimeException() : RuntimeException